package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.UserCorpRecordE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-12-03 10:21:59
 */
public interface UserCorpRecordGateway {

    /**
     * 新增
     */
    Boolean add(UserCorpRecordE userCorpRecordE);

    /**
     * 修改
     */
    Boolean update(UserCorpRecordE userCorpRecordE);

    /**
     * 删除
     */
    Boolean deletedUserCorpRecordById(Long id);

    Boolean deletedUserCorpRecordByIds(Long[] id);
}

